Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class UIRefinementSetEditor

    java.lang.Object
      ix.iface.ui.AbstractSetEditor
          ix.iview.AbstractUISetEditor
              ix.iview.UIRefinementSetEditor

    public class UIRefinementSetEditor

extends AbstractUISetEditor

Support for editing sets of named objects (e.g. refinements or object classes). Looks after adding/removing/editing the objects and keeping the set consistent. Handles overwrites, finding objects in the set, working out whether the set has changed.

Field Summary
`boolean` | `lazyOwn`

Fields inherited from class ix.iface.ui.AbstractSetEditor
`ADD, added, CANCEL, edited, label, manager, members, NEWNAME, originals, OVERWRITE, removed`

Constructor Summary
`UIRefinementSetEditor(DomainObjectManager om, java.util.LinkedList os)`

Method Summary
`java.util.LinkedList` | `getDomainOriginals()`
`java.util.HashSet` | `getMatchingRefinements(LList pattern, java.util.List refs)`
`java.util.HashSet` | `getMatchingUIRefinements(LList pattern, java.util.List domainMatches)`
`java.util.LinkedList` | `getOriginals()` Gets all original objects from the originals map.
`Named` | `getStringOriginal(java.lang.String name)`
`boolean` | `isOwnObject(java.lang.Object object)` Checks whether the given object is one of this editor's own, e.g.
`java.util.LinkedList` | `makeOriginalList()`
`java.lang.Object` | `makeOwnObject(java.lang.Object object)` Makes an own object from the given one
`boolean` | `sameConstruct(java.lang.Object r, java.lang.Object rOther)` Checks whether the two given objects have the same specifications.
`void` | `setLegalName(java.lang.Object object, java.lang.String name)` Sets a string representation of the object that identifies it uniquely

Methods inherited from class ix.iview.AbstractUISetEditor
`cloneConstruct, collectConstructChanges, fireConstructRemoved, getAnyNamedObject, getBaseObject, getDomain, getName, getNamedObject, getOriginal, getUIDomain, hasOriginal, isEmpty, isUndefined, loadOriginal, rememberClear, removeFromDomain, saveToDomain, setManager, setName, setObjects, setOriginal`

Methods inherited from class ix.iface.ui.AbstractSetEditor
`addConstruct, addedObject, clear, defaultMakeOwnObject, ensureConstruct, findOwnObject, fireConstructAdded, fireConstructEdited, getAllConstructs, getOwnObject, handleNameClash, hasChangedConstructs, hasChangedFromOriginal, hasOriginal, isCurrentNamedObject, isCurrentOwnObject, isEmpty, isLoading, newOwnObject, print, printDetails, printSet, publishedEdits, removeConstruct, resetEdits, setManager, setOverwrite, updateConstruct`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lazyOwn

    public boolean lazyOwn

Constructor Detail

### UIRefinementSetEditor

    public UIRefinementSetEditor(DomainObjectManager om,
                                 java.util.LinkedList os)

Method Detail

### setLegalName

    public void setLegalName(java.lang.Object object,
                             java.lang.String name)

  Description copied from class: `AbstractSetEditor`
  Sets a string representation of the object that identifies it uniquely

  Specified by:
    `setLegalName` in class `AbstractSetEditor`

### isOwnObject

    public boolean isOwnObject(java.lang.Object object)

  Description copied from class: `AbstractSetEditor`
  Checks whether the given object is one of this editor's own, e.g. UIRefinement

  Specified by:
    `isOwnObject` in class `AbstractSetEditor`

### sameConstruct

    public boolean sameConstruct(java.lang.Object r,
                                 java.lang.Object rOther)

  Description copied from class: `AbstractSetEditor`
  Checks whether the two given objects have the same specifications.

  Specified by:
    `sameConstruct` in class `AbstractSetEditor`

### getOriginals

    public java.util.LinkedList getOriginals()

  Description copied from class: `AbstractSetEditor`
  Gets all original objects from the originals map. If this map is built in a lazy way (as for Refinements), make sure that this is overwiritten to look in the original domain.

  Overrides:
    `getOriginals` in class `AbstractSetEditor`

### getDomainOriginals

    public java.util.LinkedList getDomainOriginals()

### makeOriginalList

    public java.util.LinkedList makeOriginalList()

### makeOwnObject

    public java.lang.Object makeOwnObject(java.lang.Object object)

  Description copied from class: `AbstractSetEditor`
  Makes an own object from the given one

  Specified by:
    `makeOwnObject` in class `AbstractSetEditor`

### getStringOriginal

    public Named getStringOriginal(java.lang.String name)

  Specified by:
    `getStringOriginal` in class `AbstractUISetEditor`

### getMatchingUIRefinements

    public java.util.HashSet getMatchingUIRefinements(LList pattern,
                                                      java.util.List domainMatches)

### getMatchingRefinements

    public java.util.HashSet getMatchingRefinements(LList pattern,
                                                    java.util.List refs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD